<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

class uiController extends Controller
{
    public function card(){
        return view('general.card');
    }

    public function profile(){
        return view('general.profile');
    }

    public function dashboard(){
        return view('general.admin-dashboard');
    }

    public function CustomerDashboard(){
        return view('general.customer-dashboard');
    }

    public function contractordashboard(){
        return view('general.contractor-dashboard');
    }

    public function register(){
        return view('auth.register');
    }

    public function login(){
        return view('auth.login');
    }

    public function forgotPassword(){
        return view('auth.forgot-password');
    }

    public function appointmentList(){
        return view('general.appointment');
    }

    public function userList(){
        return view('general.user.user');
    }

    public function userAdd(){
        return view('general.user.user-add');
    }

    public function userEdit(){
        return view('general.user.user-edit');
    }

    public function permissions(){
        return view('general.user.permission');
    }

    public function serviceList(){
        return view('general.service.services');
    }

    public function serviceAdd(){
        return view('general.service.service-add');
    }

    public function serviceEdit(){
        return view('general.service.service-edit');
    }
    public function userRole(){
        return view('general.user.user-role');
    }

    public function projectList(){
        return view('general.project.project');
    }

    public function projectAdd(){
        return view('general.project.project-add');
    }

    public function projectEdit(){
        return view('general.project.project-edit');
    }

    public function projectDetail(){
        return view('general.project.project-detail');
    }

    public function projectBuyerDetail(){
        return view('general.project.project-buyerDetail');
    }

    public function projectBuyer(){
        return view('general.project.project-buyer');
    }

    public function orderList(){
        return view('general.order.order');
    }

    public function orderAdd(){
        return view('general.order.order-add');
    }

    public function orderEdit(){
        return view('general.order.order-edit');
    }

    public function orderDetail(){
        return view('general.order.order-detail');
    }

    public function calendar(){
        return view('general.calendar');
    }


    public function activityLog(){
        return view('general.activity_log');
    }

    public function invoiceList(){
        return view('general.invoice.invoice-list');
    }

    public function invoiceDetail(){
        return view('general.invoice.invoice-detail');
    }

    public function invoiceCreate(){
        return view('general.invoice.invoice-create');
    }

    public function invoiceCreateFixed(){
        return view('general.invoice.invoice-create-fixed');
    }

    public function invoiceEdit(){
        return view('general.invoice.invoice-edit');
    }

    public function task(){
        return view('general.task');
    }

    public function ticketing(){
        return view('general.tickets.ticketing');
    }

    public function ticketDetail(){
        return view('general.tickets.ticket-detail');
    }
}
